Subject: RE: Open Issues on: draft-nadeau-l2vpn-vpls-mib

From: Shailender Potharaju <[email-masked]>
Date: Thu, 9 Nov 2006 16:05:30 +0530

Hi,
Please see my comments inline.

Regards
Shailender

Date: Mon, 6 Nov 2006 13:40:21 -0800
From: "Thomas D. Nadeau" <[email-masked]>
Subject: Open Issues on: draft-nadeau-l2vpn-vpls-mib
To: [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=US-ASCII; delsp=yes; format=flowed

	During the meeting I agreed to post these

open issues to the list. Please send comments

ASAP. If I do not hear comments by November 20

at 12PM GMT, I will *not* make these additions to the

document.

1. Should the MIB modules be read-write or read-only?
>> I agree with Anil.

2. Add number of attachment circuits per VSI.
>> Would be useful to have this object.

3. Add PwBindTable (contains PWs bound to VSI)
>> This is table is required. It allows one to create link between VPLS
instance and the mesh or spoke VCs. Also I feel it is a good to have one
more object to specify whether the PW is a mesh vc or spoke vc. Anil had
mentioned this object before.

4. Add VsiPerfTable (contains number of PWs in VSI, numberLearnedMac)
>> Would be useful to have this table. It would be good if it can contain
other counters such as InFrames, OutFrames, Discards etc(these counters may
be per PW and AC). I feel number of PWs and number of ACs can be added to
vplsStatusTable mentioned below. VsiPerfTable can just contain statistics
per PW/AC.

5. Define vplsOperStatus: current values are unknown, up or down.
Propose  adding a value 'partialMesh'. Definition of operStatus of
VSI: 1 or more PW + 1 or more ACs up == OperStatusUp.
>> Would be useful.

6. Proposed addition to vplsStatusTable to indicate the number of
Mesh Peers in this VPLS instance.
>> Would be useful.

7. vplsSpokePeerCount: proposed addition to vplsStatusTable to
indicate the number of Spoke Peers in this VPLS instance.
>> Would be useful.

8. The VPLS LDP Qualified Learning/Unqualified Learning mode on the
VSI is current read-only.
>> I agree with Anil. This could be made optional if write access provided.

9. Get IEEE 802.x objects we must look in the IEEE/IETF Bridge MIB.
>> As Bridge MIB doesn't support multiple bridge instances and more over all
objects specified in Bridge MIB are not applicable to VSI, may be a new
table need to be defined by taking Bridge MIB as reference.

10. vplsMacAging/Learning: these  are currently mandatory
requirements in the MIB even though they are not part of the standard
itself. Remove them and Rely on IEEE/IETF Bridge MIB or put them in
an optional group?
>> I agree with Anil.

11. vplsACBindTable: proposed table to bind Attachment Circuits to  a
VPLS
>> To add interfaces (ethernet port or vlan) to VPLS instance, AC bind table
is required. This table could just contain vplsIndex, ifIndex.

12. Add watermarks for MaxMacAddrs vplsMacLearning,
vplsDiscardUnknownDest, forwarding table size.

13. Add vplsPwConfigType that maintains configured auto-discovery
method.